/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for ChestDistributionDescriptor
 */
public enum EnumCV_ChestDistributionDescriptor
{
	//CID 6128 Chest Distribution Descriptor
	BATS_WING_DISTRIBUTION_112154("112154"),
	BUTTERFLY_DISTRIBUTION_112155("112155"),
	CENTRILOBULAR_112156("112156"),
	COALESCENT_112157("112157"),
	DIFFUSE_G_A321("G-A321"),
	DISCOID_M_020FA("M-020FA"),
	DISSEMINATED_G_A324("G-A324"),
	FOCAL_G_A351("G-A351"),
	GENERALIZED_G_A366("G-A366"),
	LOBAR_112158("112158"),
	MULTIFOCAL_G_A443("G-A443"),
	SEGMENTAL_G_A137("G-A137"),
	SYSTEMIC_G_A572("G-A572");

	private String value;
	
	EnumCV_ChestDistributionDescriptor(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
